Get settings
GET
{{server}}/api/v1/appointment/settingsThis request returns the Appointment feature settings.
Response
-
type(string): Appointment type. It can beinternal,rest-query,rest-fulloroffice365 -
profile(string): Ticket Dispenser profile key. Use it to show the services in a structured form. -
slots(array): Time slots definitions-
day(number): Day of week (0 - Sunday ... 7 - Saturday) -
start(string): Start time inHHmmformat -
end(string): End time inHHmmformat -
services(array): Available services in this slot-
key(string): Service key -
internal(number): Slot interval (in seconds) -
quantity(number): Available quantity in one slot
-
-
-
commonStyling(object): Appointment styling properties.
Request
Authorization
| Header | Value |
|---|---|
Authorization | SmartToken {{smartToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/appointment/settings' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'
const response = await fetch("{{server}}/api/v1/appointment/settings", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/appointment/settings"
headers = {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/appointment/settingsHeaders (1)
| Key | Value |
|---|---|
Accept | application/json |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 3247 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
{
"type": "internal",
"booking": {
"beforeTime": 1200,
"afterTime": 1200,
"maxPerClient": null
},
"priority": "+1",
"approved": {
"email": true,
"sms": false
},
"confirmation": {
"email": true,
"sms": false,
"timeout": 360
},
"reminder": {
"hours": 24,
"email": true,
"sms": false
},
"profile": "00000000-0000-4000-0008-000000000001",
"slots": [
{
"services": [
{
"key": "00000000-0000-4000-0007-000000000001",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000002",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000003",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000004",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000005",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000006",
"interval": 900,
"quantity": 1
}
],
"day": 1,
"start": "0800",
"end": "1700"
},
{
"services": [
{
"key": "00000000-0000-4000-0007-000000000001",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000002",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000003",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000004",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000005",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000006",
"interval": 900,
"quantity": 1
}
],
"day": 2,
"start": "0800",
"end": "1700"
},
{
"services": [
{
"key": "00000000-0000-4000-0007-000000000001",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000002",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000003",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000004",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000005",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000006",
"interval": 900,
"quantity": 1
}
],
"day": 3,
"start": "0800",
"end": "1700"
},
{
"services": [
{
"key": "00000000-0000-4000-0007-000000000001",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000002",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000003",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000004",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000005",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000006",
"interval": 900,
"quantity": 1
}
],
"day": 4,
"start": "0800",
"end": "1700"
},
{
"services": [
{
"key": "00000000-0000-4000-0007-000000000001",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000002",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000003",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000004",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000005",
"interval": 900,
"quantity": 1
},
{
"key": "00000000-0000-4000-0007-000000000006",
"interval": 900,
"quantity": 1
}
],
"day": 5,
"start": "0800",
"end": "1700"
}
],
"cancelling": {
"email": true,
"sms": false
},
"commonStyling": {
"colorScheme": "default",
"backgroundImage": null,
"backgroundSize": "auto",
"logoImage": null,
"logoSize": "auto",
"primaryColor": "#4e80a6",
"primaryColorGradient": true,
"pageColor": "#7e7e7e",
"pageColorGradient": true,
"headerColor": "#454141",
"headerColorGradient": true,
"buttonColor": "#2f2d2d",
"buttonColorGradient": true,
"buttonText": "#FFFFFF",
"textColor": "#FFFFFF",
"secondaryColor": "#fab000"
}
}